Activate Subscription
curl --request POST \
--url https://sandbox.cashfree.com/api/v2/subscriptions/{subReferenceId}/activate \
--header 'Content-Type: application/json' \
--header 'X-Client-Id: <x-client-id>' \
--header 'X-Client-Secret: <x-client-secret>' \
--data '
{
"nextScheduledOn": "2021-12-17"
}
'import requests
url = "https://sandbox.cashfree.com/api/v2/subscriptions/{subReferenceId}/activate"
payload = { "nextScheduledOn": "2021-12-17" }
headers = {
"X-Client-Id": "<x-client-id>",
"X-Client-Secret": "<x-client-secret>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Client-Id': '<x-client-id>',
'X-Client-Secret': '<x-client-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nextScheduledOn: '2021-12-17'})
};
fetch('https://sandbox.cashfree.com/api/v2/subscriptions/{subReferenceId}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "OK",
"subStatus": "ACTIVE",
"subscriptionResponse": {
"subReferenceId": 123456,
"subscriptionId": "testabcd",
"planId": "test_demo",
"customerPhone": "9876543210",
"customerName": "John Doe",
"customerEmail": "abc@gmail.com",
"addedOn": "2021-02-24 11:15:10"
}
}Subscription
Activate Subscription
Use this API to activate a subscription that is in ONHOLD state. For periodic subscriptions, the next charge date is calculated for the next cycle.
POST
/
api
/
v2
/
subscriptions
/
{subReferenceId}
/
activate
Activate Subscription
Headers
Client ID provided by Cashfree.
Example:
"asdf1234"
Client Secret provided by Cashfree.
Example:
"qwer9876"
Path Parameters
The reference ID of the subscription to be activated.
Example:
2646214
Body
application/json
The next scheduled date for the subscription activation.
Example:
"2021-12-17"
Response
Successful activation of the subscription.
Was this page helpful?
āI